Bug 511279 - (CVE-2009-2369) CVE-2009-2369 wxGTK: Integer overflow in JPEG image decoder (DoS, ACE)
CVE-2009-2369 wxGTK: Integer overflow in JPEG image decoder (DoS, ACE)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://web.nvd.nist.gov/view/vuln/det...
impact=moderate,reported=20090714,pub...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-14 10:44 EDT by Jan Lieskovsky
Modified: 2016-03-04 05:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-27 23:25:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2009-07-14 10:44:16 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-2369 to
the following vulnerability:

Integer overflow in the wxImage::Create function in src/common/image.cpp in wxWidgets 2.8.10 allows attackers to cause a denial of service (crash) and possibly execute arbitrary code via a crafted JPEG file, which triggers a heap-based buffer overflow. NOTE: the provenance of this information is unknown; the details are obtained solely from third party information.

References:
-----------
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2009-2369
http://xforce.iss.net/xforce/xfdb/51516
http://www.vupen.com/english/advisories/2009/1770
http://www.securityfocus.com/bid/35552
http://secunia.com/advisories/35351
http://osvdb.org/55520
Comment 1 Dan Horák 2009-07-15 13:59:21 EDT
upstream bug report is at http://trac.wxwidgets.org/ticket/10993
updated packages are building now
Comment 2 Fedora Update System 2009-07-15 14:41:13 EDT
wxGTK-2.8.10-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/wxGTK-2.8.10-2.fc10
Comment 3 Fedora Update System 2009-07-15 14:41:19 EDT
wxGTK-2.8.9-2.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/wxGTK-2.8.9-2.el4
Comment 4 Fedora Update System 2009-07-15 14:41:23 EDT
wxGTK-2.8.9-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/wxGTK-2.8.9-2.el5
Comment 5 Fedora Update System 2009-07-15 14:41:28 EDT
wxGTK-2.8.10-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/wxGTK-2.8.10-2.fc11
Comment 6 Fedora Update System 2009-07-19 06:19:34 EDT
compat-wxGTK26-2.6.4-10.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-07-19 06:24:01 EDT
compat-wxGTK26-2.6.4-10.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-07-20 12:56:34 EDT
wxGTK-2.8.9-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-07-20 12:57:14 EDT
wxGTK-2.8.9-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-07-22 17:49:11 EDT
wxGTK-2.8.10-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-07-22 18:00:57 EDT
wxGTK-2.8.10-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Dan Horák 2009-08-31 04:21:54 EDT
Jan, who is responsible for closing security bugs after the updates were pushed out? Is it the security team or the package maintaners?
Comment 13 Vincent Danen 2009-08-31 10:59:17 EDT
Dan, typically SRT will close these but it is a bit of hit-or-miss due to what is shipped.  If Fedora fixes it, great, but if it is also shipped in RHEL, then it can't be closed if it hasn't been dealt with there.  In this case, wxGTK is not included in RHEL so this could be closed, but in a lot of cases when something affects Fedora and RHEL, maintainers should not close the bugs because they still need to be dealt with in RHEL.

So in general, no, we do not want maintainers closing these bugs.

Note You need to log in before you can comment on or make changes to this bug.